commit:     a26e3ccaa497d258bcfa9171db1f2f21c49563f8
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 27 19:03:02 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Mar 27 19:04:06 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a26e3cca

dev-python/progressbar: Add python3_5 support

Package-Manager: portage-2.2.28

 dev-python/progressbar/progressbar-2.3-r2.ebuild | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/dev-python/progressbar/progressbar-2.3-r2.ebuild 
b/dev-python/progressbar/progressbar-2.3-r2.ebuild
new file mode 100644
index 0000000..a884d81
--- /dev/null
+++ b/dev-python/progressbar/progressbar-2.3-r2.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Text progressbar library for python"
+HOMEPAGE="https://code.google.com/p/python-progressbar/ 
https://pypi.python.org/pypi/progressbar";
+SRC_URI="https://python-${PN}.googlecode.com/files/${P}.tar.gz";
+
+LICENSE="|| ( LGPL-2.1 BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+PATCHES=( "${FILESDIR}/progressbar-2.3-python3.3.patch" )

Reply via email to